<?php
/**
 *
 */

?>

<?php if ($commentsTotal > $this->commentsPerPage): ?>
<div class="pagination">
    <div class="pagination-first">
        <?php echo CHtml::link(CommentsModule::t("First"), $this->createPaginationUrl(0))?>
    </div>
    <?php
    $current = $this->getCurrentPage();
    $total = floor($commentsTotal / $this->commentsPerPage);
    $halfRange = floor($this->paginationPagesCount/2);

    $start  = $current - $halfRange;
    $end    = $current + $halfRange;
    if ($start < 0) {
        $start = 0;
    }
    if ($end > $total) {
        $end = $total;
    }
    ?>
    <?php if ($current > 0): ?>
    <div class="pagination-previous">
        <?php echo CHtml::link(CommentsModule::t("Previous"), $this->createPaginationUrl($current - 1))?>
    </div>
    <?php endif?>

    <?php for ($i = $start; $i <= $end; $i++): ?>
    <div class="pagination-<?php echo $i == $current ? 'current' : 'item'?>">
        <?php echo CHtml::link($i + 1, $this->createPaginationUrl($i))?>
    </div>
    <?php endfor ?>

    <?php if ($current < $total): ?>
    <div class="pagination-next">
        <?php echo CHtml::link(CommentsModule::t('Next'), $this->createPaginationUrl($current + 1))?>
    </div>
    <?php endif?>

    <div class="pagination-last">
        <?php echo CHtml::link(CommentsModule::t('Last'), $this->createPaginationUrl($total))?>
    </div>
</div>
<?php endif ?>