<?php

class AdminController extends Controller
{
		
		public $defaultAction = 'reports';

        protected function beforeAction($action) {
            return Yii::app()->getModule('fg')->validateSecurityToken();
        }
	
	public function actionReports($form_id = null, $csv = false)
	{
		
		
		$model = new FGForms('search');
		$form = isset($form_id)? FGForms::model()->findByPk($form_id) : null;
		
		
		if($csv) {
			
			return $this->exportCSV($form);
		}
		
			$this->render('reports', array(
				'forms'=>$model,
				'currentForm'=>$form
			));
		
	}
	
	public function exportCSV($form)
	{
		
		
		if(count($form->formdata))
		{
			
			// construct data array
			$csv = array();
			// push columns names
			$csv[0] = array('');
			foreach(array_keys($form->formdata[0]->getDisplayData()) as $name) {
				$csv[0][] = $form->getElementLabel($name);
			}
			foreach($form->formdata as $fd) {
				$csv[] = array_merge(array($fd->created_at), array_values($fd->getDisplayData()));
			}
			
			// print csv output
			Yii::import('application.modules.fg.extensions.UrlTransliterate');
			header('Content-type: text/csv');
			
			
			// UrlTransliterate causes error 500
			// header('Content-Disposition: attachment; filename="'.UrlTransliterate::cleanString($form->name, '_').'.csv"');
			
			$outstream = fopen('php://output', 'w');
			foreach($csv as $row) {
				fputcsv($outstream, $row, ',', '"');
			}
			
			
			exit; 
		}
		else 
		{ 
		
			throw new CHttpException(404, 'No reports found');
		}
		
	}
	public function actionGetMyForms($email)
	{	
		$model = new FGForms('search');
		$forms = $model->searchAllForUser($email);
		$ret = "<table><tr><th>Name</th><th>Aktion</th></tr>";
		foreach($forms->getData() as $form):
			
				$ret.="<tr><td>".$form->name."</td><td>";
			if(count($form->formdata)):	
				$ret.=CHtml::link("Report anzeigen",array(Yii::app()->createUrl('proxy/fg/admin/reports?form_id='.$form->id.'&csv=1'))).'</td>';
			else:
				$ret.="<i>keine Reports vorhanden</i></td>";
			endif;
			$ret.="</tr>";
		endforeach;
		$ret.="</table>";
		//$this->render('showmyforms',array('forms' => $forms));	
		 echo $ret;

	
	} 
	public function actionUpdateCreator($form_id = null, $mail = ''){
		$form = isset($form_id)? FGForms::model()->findByPk($form_id) : null;
		if($form && $mail != ''){
			if($form->creator_email == 'NULL' || $form->creator_email == '' || $form->creator_email == null){
			$form->creator_email = $mail;
			$form->update();	
			echo "ok";}
			else echo "no update";
		}
		else{
			echo "error:".$form_id." ".$mail;
			}
		
	}
	/*
	Not used ATM
	public function actionGetAllReports(){
		$model = new FGForms('search');
		$this->render('list_reports',array(
		'forms' => $model
		));
	} */
}
