<?php
/**
 *
 */
?>

<div class="friends-friends-list-widget">
    <a name="FriendsSearchResultWidget"></a>
    <?php if ($message = Yii::app()->user->getFlash('friends-success')): ?>
    <div class="success">
        <?php echo $message?>
    </div>
    <?php endif?>
    <?php if ($message = Yii::app()->user->getFlash('friends-error')): ?>
    <div class="error">
        <?php echo $message?>
    </div>
    <?php endif?>

    <?php if ($dataProvider): ?>
    <?php if ($users = $dataProvider->getData()): ?>
        <h5><?php echo FriendsModule::t('Users')?>:</h5>
        <table>
            <tr>
                <th><?php echo User::model()->getAttributeLabel('email')?></th>
                <th><?php echo Profile::model()->getAttributeLabel('firstname')?></th>
                <th><?php echo Profile::model()->getAttributeLabel('lastname')?></th>
                <th><?php echo Profile::model()->getAttributeLabel('phone')?></th>
                <th></th>
            </tr>

            <?php foreach ($users as $user): ?>
            <tr class="friends-friends-list-user">
                <td>
                    <?php echo $user->email?>
                </td>
                <td>
                    <?php echo $user->profile->firstname?>
                </td>
                <td>
                    <?php echo $user->profile->lastname?>
                </td>
                <td>
                    <?php echo $user->profile->phone?>
                </td>
                <td>
                    <?php if ($this->friendshipStatus($user) == 'friends'): ?>

                    <strong><?php echo FriendsModule::t('You are friends')?></strong>

                    <?php echo CHtml::beginForm(Yii::app()->createUrl('/friends/friends/cancel', array('return_url' => Yii::app()->request->getRequestUri() . '#FriendsSearchResultWidget')), 'GET') ?>
                    <input type="hidden" name="key" value="<?php echo FriendsModule::encrypting($user->id)?>">
                    <input type="hidden" name="user_id" value="<?php echo $user->id?>">
                    <?php echo CHtml::submitButton(FriendsModule::t('Cancel') ); ?>
                    <?php echo CHtml::endForm() ?>

                    <?php elseif ($this->friendshipStatus($user) == 'waiting'): ?>

                    <strong><?php echo FriendsModule::t('In process')?></strong>

                    <?php elseif ($this->friendshipStatus($user) == 'not friends'): ?>

                    <?php echo CHtml::beginForm(Yii::app()->createUrl('/friends/friends/add', array('return_url' => Yii::app()->request->getRequestUri() . '#FriendsSearchResultWidget')), 'GET') ?>
                    <input type="hidden" name="key" value="<?php echo FriendsModule::encrypting($user->id)?>">
                    <input type="hidden" name="user_id" value="<?php echo $user->id?>">
                    <?php echo CHtml::submitButton(FriendsModule::t('Add friend') ); ?>
                    <?php echo CHtml::endForm() ?>

                    <?php endif?>
                </td>
            </tr>
            <?php endforeach ?>
        </table>
        <?php else: ?>
        <div>
            <?php echo FriendsModule::t('There is no user with such criteria. Please try again.')?>
        </div>
        <?php endif; ?>
    <?php else: ?>

    <?php endif?>
</div>
