<?php

/**
 * 
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Form for validation user input.
 * Used for sharing by mail
 **/
class ShareMailForm extends CFormModel
{
    public $name;
    public $email;
    public $description;
    public $links;

    public function rules()
    {
        return array(
            array('name, email, links', 'required'),
            array('email', 'email'),
            array('description', 'safe')
        );
    }

    public function getAttributeLabel($name)
    {
        return RememberModule::t(parent::getAttributeLabel($name));
    }
}
