<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<h2><?php echo CommentsModule::t('Comment created')?></h2>

<?php $this->renderPartial('/comment/_view', array('comment' => $comment)) ?>

<div>
    <?php if ($comment->status == Comment::APPROVED): ?>
    <span class="comment-approve">
            <?php echo CHtml::link(CommentsModule::t('Not approve'), Yii::app()->createAbsoluteUrl('comments/comment/remoteApprove',
            array('status' => Comment::NOT_APPROVED, 'id' => $comment->id, 'key' => $comment->hash()))
    );?>
        </span>
    <?php else: ?>
    <span class="comment-approve">
            <?php echo CHtml::link(CommentsModule::t('Approve'), Yii::app()->createAbsoluteUrl('comments/comment/remoteApprove',
            array('status' => Comment::APPROVED, 'id' => $comment->id, 'key' => $comment->hash()))
    );?>
        </span>
    <?php endif ?>
    <?php echo CHtml::link(CommentsModule::t('Delete'), Yii::app()->createAbsoluteUrl('comments/comment/remoteDelete', array('id' => $comment->id, 'key' => $comment->hash()))) ?>
</div>

<div>
    <span><?php echo CHtml::link(CommentsModule::t('Page URL'), $pageUrl)?></span>
</div>
